#ifndef DATAMANAGEMENT_COMMON_H
#define DATAMANAGEMENT_COMMON_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum { UNKNOWN = -1, AVAILABLE = 0, NOT_INSTALLED, NOT_SUPPORTED } FeatureStatus;

typedef enum {
    SUCCESS = 0,
    PARSE_PARAM_FAILED = 14,
    DM_ERROR_UNKNOWN = 100,
    DM_SESSION_ERROR = 101,
} ErrorCode;

typedef struct {
    bool success;        // 表示操作是否成功
    int errorCode;       // 错误代码，0表示无错误
    char errorMsg[500];  // 错误消息
} DataManagementStatus;

#ifdef __cplusplus
}
#endif

#endif  // DATAMANAGEMENT_COMMON_H
